Bug 1031282 - Dell Latitude E6430 does not suspend and shut down properly in kernel 3.11
Dell Latitude E6430 does not suspend and shut down properly in kernel 3.11
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-16 05:37 EST by Magnar Bugge
Modified: 2014-02-05 17:32 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:32:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Excerpts from /var/log/messages (51.39 KB, text/plain)
2013-11-16 05:37 EST, Magnar Bugge
no flags Details

  None (edit)
Description Magnar Bugge 2013-11-16 05:37:21 EST
Created attachment 824879 [details]
Excerpts from /var/log/messages

Description of problem:
When closing the lid on my Dell Latitude E6430 laptop, proper suspend is not reached. The power light stays on, and the fans do not stop. The problem is present in 3.11.4-101.fc18.x86_64 and 3.11.7-100.fc18.x86_64, but not in 3.10.14-100.fc18.x86_64. When trying to shut down the system, it locks up, so that I have to hold down the power button to turn off. I guess this is a related problem.

Version-Release number of selected component (if applicable):
Fedora 18, kernel 3.11.4-101.fc18.x86_64

How reproducible:
Proper suspend is never reached after closing the lid in the latest kernels.

Steps to Reproduce:
1. Run kernel 3.11.4-101.fc18.x86_64 on Dell Latitude E6430
2. Close the lid

Actual results:
Power light stays on. Fans do not stop.

Expected results:
Power light starts flashing. Fans stop.

Additional info:
I looked into /var/log/messages, and some new errors are present in the log file in the new kernels vs. the old one. I have attached a file with some hopefully relevant excerpts from the log file in the two different kernel versions.
Comment 1 Josh Boyer 2013-11-18 11:04:53 EST
Nov 15 15:29:21 localhost kernel: [  270.690122] ------------[ cut here ]------------
Nov 15 15:29:21 localhost kernel: [  270.690127] WARNING: CPU: 3 PID: 6 at lib/list_debug.c:53 __list_del_entry+0x63/0xd0()
Nov 15 15:29:21 localhost kernel: [  270.690128] list_del corruption, ffff88021bc27588->next is LIST_POISON1 (dead000000100100)
Nov 15 15:29:21 localhost kernel: [  270.690157] Modules linked in: fuse nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6t_REJECT xt_conntrack bnep bluetooth ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw be2iscsi ip6table_filter iscsi_boot_sysfs ip6_tables bnx2i cnic iptable_nat uio nf_conntrack_ipv4 nf_defrag_ipv4 cxgb4i nf_nat_ipv4 nf_nat cxgb4 nf_conntrack cxgb3i iptable_mangle cxgb3 iptable_security mdio libcxgbi iptable_raw ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi binfmt_misc arc4 snd_hda_codec_idt iTCO_wdt iTCO_vendor_support iwldvm dell_wmi ppdev sparse_keymap snd_hda_intel mac80211 snd_hda_codec x86_pkg_temp_thermal snd_hwdep snd_seq coretemp crc32_pclmul dell_laptop crc32c_intel snd_seq_device uvcvideo dcdbas ghash_clmulni_intel videobuf2_vmalloc snd_pcm videobuf2_memops videobuf2_core microcode iwlwifi videodev media snd_page_alloc cfg80211 sdhci_pci serio_raw snd_timer i2c_i801 sdhci snd mmc_core soundcore rfkill lpc_ich mei_me mfd_core mei shpchp parport_pc parport acpi_cpufreq mperf vhost_net tun vhost macvtap macvlan kvm_intel kvm uinput nouveau i915 mxm_wmi i2c_algo_bit ttm drm_kms_helper drm e1000e ptp pps_core i2c_core wmi video sunrpc
Nov 15 15:29:21 localhost kernel: [  270.690183] CPU: 3 PID: 6 Comm: kworker/u16:0 Not tainted 3.11.4-101.fc18.x86_64 #1
Nov 15 15:29:21 localhost kernel: [  270.690184] Hardware name: Dell Inc. Latitude E6430/0H3MT5, BIOS A09 12/13/2012
Nov 15 15:29:21 localhost kernel: [  270.690188] Workqueue: events_unbound async_run_entry_fn
Nov 15 15:29:21 localhost kernel: [  270.690191]  0000000000000009 ffff880222933ad8 ffffffff81666106 0000000000000000
Nov 15 15:29:21 localhost kernel: [  270.690193]  ffff880222933b28 ffff880222933b18 ffffffff810695ec ffff88022e294180
Nov 15 15:29:21 localhost kernel: [  270.690194]  ffff88021bc27588 0000000000000001 0000000000000286 ffff88021bc27588
Nov 15 15:29:21 localhost kernel: [  270.690195] Call Trace:
Nov 15 15:29:21 localhost kernel: [  270.690199]  [<ffffffff81666106>] dump_stack+0x46/0x58
Nov 15 15:29:21 localhost kernel: [  270.690202]  [<ffffffff810695ec>] warn_slowpath_common+0x8c/0xc0
Nov 15 15:29:21 localhost kernel: [  270.690204]  [<ffffffff810696d6>] warn_slowpath_fmt+0x46/0x50
Nov 15 15:29:21 localhost kernel: [  270.690205]  [<ffffffff81322b83>] __list_del_entry+0x63/0xd0
Nov 15 15:29:21 localhost kernel: [  270.690207]  [<ffffffff81322c01>] list_del+0x11/0x40
Nov 15 15:29:21 localhost kernel: [  270.690224]  [<ffffffffa01fbbc6>] nouveau_event_put_locked+0x36/0x40 [nouveau]
Nov 15 15:29:21 localhost kernel: [  270.690232]  [<ffffffffa01fbc12>] nouveau_event_put+0x42/0x60 [nouveau]
Nov 15 15:29:21 localhost kernel: [  270.690261]  [<ffffffffa026748e>] nouveau_display_fini+0x8e/0xc0 [nouveau]
Nov 15 15:29:21 localhost kernel: [  270.690275]  [<ffffffffa0267b38>] nouveau_display_suspend+0x28/0xd0 [nouveau]
Nov 15 15:29:21 localhost kernel: [  270.690289]  [<ffffffffa0256649>] nouveau_do_suspend+0x79/0x250 [nouveau]
Nov 15 15:29:21 localhost kernel: [  270.690302]  [<ffffffffa02577d4>] nouveau_pmops_suspend+0x34/0x80 [nouveau]
Nov 15 15:29:21 localhost kernel: [  270.690305]  [<ffffffff8133cc77>] pci_pm_suspend+0x77/0x140
Nov 15 15:29:21 localhost kernel: [  270.690307]  [<ffffffff8141374a>] ? __pm_runtime_barrier+0x1a/0x140
Nov 15 15:29:21 localhost kernel: [  270.690309]  [<ffffffff8133cc00>] ? pci_pm_poweroff+0xf0/0xf0
Nov 15 15:29:21 localhost kernel: [  270.690311]  [<ffffffff81410398>] dpm_run_callback+0x58/0x90
Nov 15 15:29:21 localhost kernel: [  270.690313]  [<ffffffff814104bb>] __device_suspend+0xeb/0x280
Nov 15 15:29:21 localhost kernel: [  270.690315]  [<ffffffff81410eff>] async_suspend+0x1f/0xa0
Nov 15 15:29:21 localhost kernel: [  270.690316]  [<ffffffff81092666>] async_run_entry_fn+0x46/0x140
Nov 15 15:29:21 localhost kernel: [  270.690320]  [<ffffffff8108390a>] process_one_work+0x17a/0x400
Nov 15 15:29:21 localhost kernel: [  270.690330]  [<ffffffff81084d7c>] worker_thread+0x11c/0x370
Nov 15 15:29:21 localhost kernel: [  270.690332]  [<ffffffff81084c60>] ? manage_workers.isra.21+0x2b0/0x2b0
Nov 15 15:29:21 localhost kernel: [  270.690334]  [<ffffffff8108b3d0>] kthread+0xc0/0xd0
Nov 15 15:29:21 localhost kernel: [  270.690337]  [<ffffffff81010000>] ? perf_trace_xen_mc_callback+0xb0/0xe0
Nov 15 15:29:21 localhost kernel: [  270.690338]  [<ffffffff8108b310>] ? kthread_create_on_node+0x120/0x120
Nov 15 15:29:21 localhost kernel: [  270.690340]  [<ffffffff816751ec>] ret_from_fork+0x7c/0xb0
Nov 15 15:29:21 localhost kernel: [  270.690342]  [<ffffffff8108b310>] ? kthread_create_on_node+0x120/0x120
Nov 15 15:29:21 localhost kernel: [  270.690343] ---[ end trace 378de51a8d2c8b38 ]---
Comment 2 Fedora End Of Life 2013-12-21 09:45:31 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 17:32:40 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.